<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title> 下拉式選單測試</title>
    <script src="../../static/jquery/jquery-3.4.1.min.js"></script>
    <link href="../../static/Style/common.css" rel="stylesheet">
</head>

<body>
    <div class="content">
        <h1>下拉式選單</h1>
        <select id="selectView">
            <option value="">請選擇</option>
        </select>
        <br>
        <button id="refreshSelectView">刷新選單</button>
        <button id="btnGetValue">取得選擇的數值</button>
        <button id="btnFocusOn">聚焦選擇於第三項</button>
        <div id="console" class="console"></div>
    </div>
    <script>
        $(function() {
            var $console = $('#console');
            var $selectView = $('#selectView');
            var $refreshSelectView = $('#refreshSelectView');
            var $btnGetValue = $('#btnGetValue');
            var $btnFocusOn = $('#btnFocusOn');
            $refreshSelectView.off('click').on('click', function() {
                var lstData = ['OwO', 'OwO / ', 'OwO / Hi'];
                $selectView.empty();
                $selectView.append('<option>請選擇</option>');
                $.each(lstData, function(index, value) {
                    $selectView.append('<option value="' + value + '">' + index + '</option>');
                });
                $selectView[0].selectedIndex = 0; //不知為何要加[0]
                $selectView.selectmenu("refresh", true);
            });

            $btnGetValue.off('click').on('click', function() {
                var val = $selectView.val();
                var txt = $selectView.find("option:selected").text();
                $console.text(val + ' \n ' + txt);
            });

            $btnFocusOn.off('click').on('click', function() {
                // 下面兩個方法都可以  

                // $selectView.val('OwO / Hi');
                $selectView[0].selectedIndex = 3; //不知為何要加[0]
            })
        });

    </script>
</body>

</html>
